Package com.xebialabs.xlrelease.domain.group

## Class ReleaseGroup

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.group.ReleaseGroup

- All Implemented Interfaces:
    `ConfigurationItem`, `CiWithInternalMetadata`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(root=APPLICATIONS,
                versioned=false,
                description="A grouping of multiple releases.")
      public class ReleaseGroup
      extends BaseConfigurationItem
      implements CiWithInternalMetadata

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Date` | `endDate` |
    `static java.lang.String` | `GROUP_ROOT` |
    `protected java.util.Date` | `startDate` |

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseGroup()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​InternalMetadata>` | `get$metadata()` |
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getFolderId()` |
    `java.lang.Integer` | `getProgress()` |
    `java.util.Set<java.lang.String>` | `getReleaseIds()` |
    `java.lang.Integer` | `getRiskScore()` |
    `java.util.Date` | `getStartDate()` |
    `ReleaseGroupStatus` | `getStatus()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `isUpdatable()` |
    `void` | `removeReleaseIds​(java.util.List<java.lang.String> idsToRemove)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setProgress​(java.lang.Integer progress)` |
    `void` | `setReleaseIds​(java.util.Set<java.lang.String> releaseIds)` |
    `void` | `setRiskScore​(java.lang.Integer riskScore)` |
    `void` | `setStartDate​(java.util.Date startDate)` |
    `void` | `setStatus​(ReleaseGroupStatus status)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Field Detail

    - #### GROUP_ROOT

          public static final java.lang.String GROUP_ROOT

    - #### startDate

          @Property(required=false,
                    description="The expected start date.")
          protected java.util.Date startDate

    - #### endDate

          @Property(required=false,
                    description="The expected end date.")
          protected java.util.Date endDate

  - ### Constructor Detail

    - #### ReleaseGroup

          public ReleaseGroup()

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getStatus

          public ReleaseGroupStatus getStatus()

    - #### setStatus

          public void setStatus​(ReleaseGroupStatus status)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### getRiskScore

          public java.lang.Integer getRiskScore()

    - #### setRiskScore

          public void setRiskScore​(java.lang.Integer riskScore)

    - #### getReleaseIds

          public java.util.Set<java.lang.String> getReleaseIds()

    - #### removeReleaseIds

          public void removeReleaseIds​(java.util.List<java.lang.String> idsToRemove)

    - #### setReleaseIds

          public void setReleaseIds​(java.util.Set<java.lang.String> releaseIds)

    - #### getProgress

          public java.lang.Integer getProgress()

    - #### setProgress

          public void setProgress​(java.lang.Integer progress)

    - #### isUpdatable

          public boolean isUpdatable()

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### get$metadata

          public java.util.Map<java.lang.String,​InternalMetadata> get$metadata()

      Specified by:
        `get$metadata` in interface `CiWithInternalMetadata`